apiVersion: "v1"
kind: "Template"
metadata:
  labels:
    project: "arangodb"
    expose: "true"
  name: "arangodb"
objects:
- apiVersion: "v1"
  kind: Service
  metadata:
    name: arangodb
    labels:
      project: "arangodb"
      service: arangodb
      expose: "true"
  spec:
    ports:
      - name: web-main
        protocol: TCP
        targetPort: 8529
        port: 80
    selector:
      app: arangodb
    type: ClusterIP
- kind: Deployment
  apiVersion: "extensions/v1beta1"
  metadata:
    name:  arangodb
  spec:
    replicas: 1
    template:
      metadata:
        labels:
          app: arangodb
          project: arangodb
      spec:
        containers:
        - name: arangodb
          image: 'arangodb:latest'
          env:
          - name: ARANGO_ROOT_PASSWORD
            value: test
          ports:
           - name: web
             containerPort: 8529
             protocol: TCP
          volumeMounts:
          - name: "arangodb-data-volume"
            mountPath: /var/lib/arangodb3
  volumes:
    - name: "arangodb-data-volume"
      persistentVolumeClaim:
        claimName: "arangodb-pvc"
- kind: "PersistentVolumeClaim"
apiVersion: "v1"
metadata:
  annotations:
      volume.beta.kubernetes.io/storage-class: "slow"
  labels:
    project: "arangodb"
  name: "arangodb-pvc"
spec:
  accessModes:
  - "ReadWriteOnce"
  resources:
    requests:
      storage: "10Gi"